BaseHead
Posts: 12
Joined: Tue May 28, 2013 10:10 am

Jenkin Plugin

Hey!
I keep seeing new version of Advanced Installer but the Jenkins plugin is much older so I can't use them as the version on my build server will complain the project file is too new if I update.

Is there a newer A.I. Jenkin plugin coming up soon?

thx!
Steve
Catalin
Posts: 6739
Joined: Wed Jun 13, 2018 7:49 am

Re: Jenkin Plugin

Hello Steve,

The latest version is 2.1.1 which was released 5 months ago - Advanced Installer Msi Builder.

Could you please make sure that's the one you're using?

If that is of no help, please let me know what the server complaints are (e.g. some screenshots of the warnings) so I can forward the feedback to our dev team.

Best regards,
Catalin
Catalin Gheorghe - Advanced Installer Team
Follow us: Twitter - Facebook - YouTube
BaseHead
Posts: 12
Joined: Tue May 28, 2013 10:10 am

Re: Jenkin Plugin

I am using 21.2 on the build server but I can't use anything newer on my development machines as the Jenkins server will complain it's not configured correctly or the .AIP was created in a too newer version of A.I. so I had to roll back all my development machines to match the maximum the Jenkins version can run.

If I accidently upgrade my development machines that use BitBucket via GIT I will send the exact error I see, but right now it's all working so I don't want to mess with it....haha
I basically created this thread to let you guys to update the Jenkins plugin to match any new A.I. versions posted if it's gonna be that picky on which version of an .AIP it can open via Jenkins. ;-)
I had to shut auto-updates off cuz would cause too much unexpected pain but would be lovely if I could use the latest version of A.I. without worry my whole build server process would not get randomly broken. 8)

Have a great day!
Cya!
Steve
p.s. Request: I paid for the latest A.I. version hoping there would be a dark mode now finally also. I vote to make one 20 times ;-)
Catalin
Posts: 6739
Joined: Wed Jun 13, 2018 7:49 am

Re: Jenkin Plugin

Hello Steve,
I am using 21.2 on the build server but I can't use anything newer on my development machines as the Jenkins server will complain it's not configured correctly or the .AIP was created in a too newer version of A.I. so I had to roll back all my development machines to match the maximum the Jenkins version can run.
Indeed, if you use a newer version of Advanced Installer on your dev machine and then try to load the same AIP in your build server which uses version 21.2 of Advanced Installer, it will fail to edit the AIP file.

The build server as well as the dev machines should be on the same version of Advanced Installer.

I'm not quite sure I fully understand a part of this scenario from your side, so I'll ask to be sure - are you saying that version 2.1.1 of our Jenkins plugin does not allow you to go further than version 21.2 of Advanced Installer on your build server?

Best regards,
Catalin
Catalin Gheorghe - Advanced Installer Team
Follow us: Twitter - Facebook - YouTube
BaseHead
Posts: 12
Joined: Tue May 28, 2013 10:10 am

Re: Jenkin Plugin

No my Jenkins build server maximum can only run 21.2 but on my development rigs we can't have 21.4 installed otherwise problems occur.
We have to have 21.2.2 and many times still I need to open the AIP file in Notepad++ and change it to plain 21.2 to make it build which a tad bit of a pain if I forget. ;-)

When will a Jenkins plugin be released to match the latest version of 21.4 or now I see 21.5?
If these can't be closer in sync I will have to turn my auto-updates off and upgrading my maintenance plans is of way less interest yearly.
I'm not saying this to upset you as I also offer my software M.P. style. I'm just pointing out the whole package needs to be in sync to make it worth it to keep people renewing the maintenance plans. ;-)

thx so much and have a great day! Cya!
Steve
Catalin
Posts: 6739
Joined: Wed Jun 13, 2018 7:49 am

Re: Jenkin Plugin

Hey Steve,

It's still not quite clear for me what the problem is on your Jenkins Server.

If possible, could you please share some screenshots with me so I can have a better view of this issue?

Best regards,
Catalin
Catalin Gheorghe - Advanced Installer Team
Follow us: Twitter - Facebook - YouTube
BaseHead
Posts: 12
Joined: Tue May 28, 2013 10:10 am

Re: Jenkin Plugin

Hey Catlin!
It's working now. The next time I accidently upgrade my development machine to a newer version the what Jenkins can run then on the build server I will post back here the screenshots. The errors is something like "Advanced Installer is not configured correctly." but I will send the exact screenshot the next time I see it. Right now I don't even want to look at it as it working. ;-)

thx!
Steve
Catalin
Posts: 6739
Joined: Wed Jun 13, 2018 7:49 am

Re: Jenkin Plugin

Thank you for your followup on this, Steve!

I'm glad to hear everything is working as expected now.

Best regards,
Catalin
Catalin Gheorghe - Advanced Installer Team
Follow us: Twitter - Facebook - YouTube

Return to “Building Installers”